Practitioner

The Practitioner resource represents a practitioner or administrator identifier within a practice group

This resource enables the management of user profiles, providing the foundation for securely organizing practice-related information. On Halaxy, user profiles are located in Personal > Profile.

Each ID is distinguished with a prefix according to data type:

PrefixData TypeDescription
PR-PractitionerA practitioner or administrator within your Halaxy practice group
EP-External PractitionerAn external practitioner in your Professional Contacts list

Note: The prefixes are only for referencing resources in the API and do not appear in Halaxy.


Endpoints

EndpointOperationDescription
GET /main/PractitionerList PractitionersReturn a list or collection of profile identifiers within a practice group
GET /main/Practitioner/{id}Get PractitionerReturn an individual profile within a practice group
POST /main/PractitionerCreate Practitioner (Professional Contact)Create a new professional contact profile (i.e. external practitioner)

Schema

PropertyDescription
id

string

The practitioner identifier within the practice group

Example: PR-123456, EP-123456

identifier

array of objects
The practitioner's ID within Halaxy, which is not linked to any practice group or clinic location. This ID is used for the online directory and online profile page.

"value": "123456"

name

array of objects
A person's name

use
The type of name

official - legal name registered in government

usual - preferred name

given
Given name (may include middle name)

family
Surname

prefix
Title before the patient's name - e.g. Mr, Mrs, Ms, Dr

telecom

array of objects
A unique email address linked to the practitioner

system
Type of contact detail

email

value
The actual phone number or email address

e.g. [email protected]

use
Purpose of the contact detail

home | work

active

boolean defaults to true
Indicates if the user's record is in active use

Changes to false if the user's profile is deactivated from the practice group

qualification

array of objects
The person's profession in their profile

"system": "https://terminology.halaxy.com/CodeSystem/profession",
"code": "69",
"display: "GP (General Practitioner)"